summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMassimiliano Torromeo2016-02-25 22:46:02 +0100
committerMassimiliano Torromeo2016-02-25 22:46:02 +0100
commita72791df508d216e9473b34643f06fec5e6fc7b9 (patch)
tree65e1a207be8d3384e1a1ff5673163fdd173098d8
downloadaur-a72791df508d216e9473b34643f06fec5e6fc7b9.tar.gz
Initial release
-rw-r--r--.SRCINFO19
-rw-r--r--.gitignore17
-rw-r--r--PKGBUILD26
3 files changed, 62 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..69ce643e9dd
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,19 @@
+# Generated by mksrcinfo v8
+# Thu Feb 25 21:45:55 UTC 2016
+pkgbase = nomad
+ pkgdesc = A Distributed, Highly Available, Datacenter-Aware Scheduler
+ pkgver = 0.3.0
+ pkgrel = 1
+ url = https://www.nomadproject.io/
+ arch = i686
+ arch = x86_64
+ license = MPL
+ makedepends = go
+ makedepends = godep
+ makedepends = git
+ depends = glibc
+ source = https://github.com/hashicorp/nomad/archive/v0.3.0/nomad-0.3.0.tar.gz
+ sha256sums = b5e7520cdd542df14ae35778c066e296c41bb6aba8bf8286956f3005f407c486
+
+pkgname = nomad
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..9b97681014e
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,17 @@
+*.zip
+*.jar
+*.tar
+*.tgz
+*.tbz2
+*.gz
+*.bz2
+*.xz
+*.gem
+*.run
+*.deb
+*.rpm
+*.sig
+*.log
+/src
+/pkg
+*.kate-swp
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..4e9b032e59c
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,26 @@
+# Maintainer: Massimiliano Torromeo <massimiliano.torromeo@gmail.com>
+
+pkgname=nomad
+pkgver=0.3.0
+pkgrel=1
+pkgdesc="A Distributed, Highly Available, Datacenter-Aware Scheduler"
+arch=('i686' 'x86_64')
+url="https://www.nomadproject.io/"
+license=('MPL')
+depends=('glibc')
+makedepends=('go' 'godep' 'git')
+source=(https://github.com/hashicorp/nomad/archive/v$pkgver/$pkgname-$pkgver.tar.gz)
+sha256sums=('b5e7520cdd542df14ae35778c066e296c41bb6aba8bf8286956f3005f407c486')
+
+build() {
+ cd $pkgname-$pkgver
+ export GOPATH="$srcdir"
+ godep get || true
+ godep go build
+}
+
+package() {
+ cd $pkgname-$pkgver
+ install -Dm755 $pkgname-$pkgver "$pkgdir"/usr/bin/$pkgname
+ install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}